Real-time adherence and conformance
GET
/v1/workspace/contact-center/wfm/adherence
const url = 'https://api.vocapable.com/v1/workspace/contact-center/wfm/adherence';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/contact-center/wfm/adherence \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CcWfmAdherence
object
day
required
Day
string format: date
timezone
required
Timezone
string
grace_minutes
required
Grace Minutes
integer
computed_at
required
Computed At
string format: date-time
poll_seconds
required
Poll Seconds
integer
agents
required
Agents
Array<object>
CcWfmAgentAdherenceobject
user_id
required
User Id
string
name
required
Name
string
scheduled_minutes
required
Scheduled Minutes
number
adherent_minutes
required
Adherent Minutes
number
scheduled_now
required
Any of:
CcWfmSegment
null
state_now
required
Any of:
CcWfmStateSpan
null
exceptions
required
Exceptions
Array<object>
CcWfmAdherenceExceptionobject
user_id
required
User Id
string
starts_at
required
Starts At
string format: date-time
ends_at
required
Ends At
string format: date-time
minutes
required
Minutes
number
scheduled
required
Scheduled
string
scheduled_label
required
Scheduled Label
string
actual_state
required
Actual State
string
actual_label
required
Actual Label
string
ongoing
required
Ongoing
boolean
excused
required
Excused
boolean
segments
Any of:
Array<object>
CcWfmSegmentnull
spans
Any of:
Array<object>
CcWfmStateSpannull
out_of_adherence_now
required
Out Of Adherence Now
integer
Example
{ "agents": [ { "scheduled_now": { "kind": "work" }, "state_now": { "state": "available" }, "exceptions": [ { "scheduled": "work", "actual_state": "available" } ], "segments": [ { "kind": "work" } ], "spans": [ { "state": "available" } ] } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}